SketchIntersectionCurveBuilder Class

class NXOpen.SketchIntersectionCurveBuilder

Bases: NXOpen.Features.FeatureBuilder

Represents a NXOpen.SketchIntersectionCurve builder

To obtain an instance of this class use NXOpen.SketchCollection.CreateIntersectionCurveBuilder().

Default values.

Property Value
CurveFitMethod.FitOption Cubic
CurveFitMethod.MaximumDegree 7
CurveFitMethod.MaximumSegments 1

New in version NX5.0.0.

Properties

Property Description
AngleTolerance Returns or sets the angular tolerance
Associative Returns or sets the associative option
CurveFitMethod Returns the curve fit method
DistanceTolerance Returns or sets the distance tolerance
FaceCollector Returns the faces to intersect
IgnoreHoles Returns or sets the ignore holes option
JoinCurves Returns or sets the join curves option
ParentFeatureInternal Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal
PatchSolutionFlag Returns or sets the patch solution flag
PatchSurfaceFilename Returns or sets the patch surface filename
SurroundingPatchSurfaceFilename Returns or sets the surrounding patch surface filename
Tag Returns the Tag for this object.

Methods

Method Description
AlternateSolution Method to get the alternate solution corresponding to solutionIndex
CollectorUpdated This method needs to be called whenever the number of faces to intersect changes
Commit Commits any edits that have been applied to the builder.
CommitFeature Commits the feature parameters and creates the feature
CurveFitMethodUpdated This method needs to be called whenever the curve fit options changes
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetFeature Returns the feature currently being edited by this builder.
GetObject Returns the object currently being edited by this builder.
GetOldAndNewOutputCurves Reports the old and new Intersection Curve outputs
HideInternalParentFeatureAfterEdit Re-suppress an internal parent feature (a slave feature) after it has been edited.
MapOutputCurve Maps old Intersection curves to new Intersection curves
SetParentFeatureInternal Set the parent features which would be internal or slaves to the feature being created or commited
ShowInternalParentFeatureForEdit Unsuppress an internal parent feature (a slave feature) so it can be edited.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
UnsetParentFeatureInternal Set the internal parent feature of the feature being edited to external
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Property Detail

AngleTolerance

SketchIntersectionCurveBuilder.AngleTolerance

Returns or sets the angular tolerance

-------------------------------------

Getter Method

Signature AngleTolerance

Returns:
Return type:float

New in version NX5.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature AngleTolerance

Parameters:angleTolerance (float) –

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR geometric_tol (“GDT”)

Associative

SketchIntersectionCurveBuilder.Associative

Returns or sets the associative option

-------------------------------------

Getter Method

Signature Associative

Returns:
Return type:bool

New in version NX11.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR geometric_tol (“GDT”)

-------------------------------------

Setter Method

Signature Associative

Parameters:associative (bool) –

New in version NX11.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR geometric_tol (“GDT”)

CurveFitMethod

SketchIntersectionCurveBuilder.CurveFitMethod

Returns the curve fit method

-------------------------------------

Getter Method

Signature CurveFitMethod

Returns:curve fit option
Return type:NXOpen.GeometricUtilities.CurveFitOptions

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR geometric_tol (“GDT”)

DistanceTolerance

SketchIntersectionCurveBuilder.DistanceTolerance

Returns or sets the distance tolerance

-------------------------------------

Getter Method

Signature DistanceTolerance

Returns:
Return type:float

New in version NX5.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature DistanceTolerance

Parameters:distanceTolerance (float) –

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR geometric_tol (“GDT”)

FaceCollector

SketchIntersectionCurveBuilder.FaceCollector

Returns the faces to intersect

-------------------------------------

Getter Method

Signature FaceCollector

Returns:
Return type:NXOpen.ScCollector

New in version NX5.0.0.

License requirements: None.

IgnoreHoles

SketchIntersectionCurveBuilder.IgnoreHoles

Returns or sets the ignore holes option

-------------------------------------

Getter Method

Signature IgnoreHoles

Returns:
Return type:bool

New in version NX5.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature IgnoreHoles

Parameters:ignoreHoles (bool) –

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR geometric_tol (“GDT”)

JoinCurves

SketchIntersectionCurveBuilder.JoinCurves

Returns or sets the join curves option

-------------------------------------

Getter Method

Signature JoinCurves

Returns:
Return type:bool

New in version NX5.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature JoinCurves

Parameters:joinCurves (bool) –

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR geometric_tol (“GDT”)

Method Detail

AlternateSolution

SketchIntersectionCurveBuilder.AlternateSolution

Method to get the alternate solution corresponding to solutionIndex

Signature AlternateSolution(solutionIndex)

Parameters:solutionIndex (int) –

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR geometric_tol (“GDT”)

CollectorUpdated

SketchIntersectionCurveBuilder.CollectorUpdated

This method needs to be called whenever the number of faces to intersect changes

Signature CollectorUpdated()

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR geometric_tol (“GDT”)

CurveFitMethodUpdated

SketchIntersectionCurveBuilder.CurveFitMethodUpdated

This method needs to be called whenever the curve fit options changes

Signature CurveFitMethodUpdated()

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR geometric_tol (“GDT”)

GetOldAndNewOutputCurves

SketchIntersectionCurveBuilder.GetOldAndNewOutputCurves

Reports the old and new Intersection Curve outputs

This method returns the arrays of old and new Intersection Curve outputs. These are the old and new Intersection curves or points present during an edit of the feature. These curves or points should not be modified or deleted, doing so may result in part corruption and session may become unstable.

Signature GetOldAndNewOutputCurves()

Returns:a tuple
Return type:A tuple consisting of (oldOutputCurves, newOutputCurves). oldOutputCurves is a list of NXOpen.NXObject. The array of old output curves or points.newOutputCurves is a list of NXOpen.NXObject. The array of new output curves or points.

New in version NX11.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR geometric_tol (“GDT”)

MapOutputCurve

SketchIntersectionCurveBuilder.MapOutputCurve

Maps old Intersection curves to new Intersection curves

This method should be used to map old Intersection curve outputs to the new Intersection curve outputs during the edit of Intersection Curve.

To find old and new Intersection curve outputs see documentation for SketchIntersectionCurveBuilder.GetOldAndNewOutputCurves()

Signature MapOutputCurve(oldOutputCurve, newOutputCurve)

Parameters:
  • oldOutputCurve (NXOpen.NXObject) – The old output curve or point which was removed and hence needs to be mapped.
  • newOutputCurve (NXOpen.NXObject) – The new output curve or point that would be mapped to the old output curve or point.

New in version NX11.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR geometric_tol (“GDT”)

Validate

SketchIntersectionCurveBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.